Open CASCADE Technology: Vrml_PointLight Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Vrml_PointLight Class Reference

defines a point light node of VRML specifying properties of lights. This node defines a point light source at a fixed 3D location A point source illuminates equally in all directions; that is omni-directional. Color is written as an RGB triple. Light intensity must be in the range 0.0 to 1.0, inclusive. More...

`#include <Vrml_PointLight.hxx>`

## Public Member Functions
| Vrml_PointLight ()
| Vrml_PointLight (const Standard_Boolean aOnOff, const Standard_Real aIntensity, const Quantity_Color &aColor, const gp_Vec &aLocation)
void | SetOnOff (const Standard_Boolean aOnOff)
Standard_Boolean | OnOff () const
void | SetIntensity (const Standard_Real aIntensity)
Standard_Real | Intensity () const
void | SetColor (const Quantity_Color &aColor)
Quantity_Color | Color () const
void | SetLocation (const gp_Vec &aLocation)
gp_Vec | Location () const
Standard_OStream & | Print (Standard_OStream &anOStream) const

## Detailed Description

defines a point light node of VRML specifying properties of lights. This node defines a point light source at a fixed 3D location A point source illuminates equally in all directions; that is omni-directional. Color is written as an RGB triple. Light intensity must be in the range 0.0 to 1.0, inclusive.

## Constructor & Destructor Documentation

Vrml_PointLight::Vrml_PointLight | ( |  | ) |

Vrml_PointLight::Vrml_PointLight | ( | const Standard_Boolean | aOnOff,
|  | const Standard_Real | aIntensity,
|  | const Quantity_Color & | aColor,
|  | const gp_Vec & | aLocation
| ) |  |

## Member Function Documentation

Quantity_Color Vrml_PointLight::Color | ( |  | ) | const

Standard_Real Vrml_PointLight::Intensity | ( |  | ) | const

gp_Vec Vrml_PointLight::Location | ( |  | ) | const

Standard_Boolean Vrml_PointLight::OnOff | ( |  | ) | const

Standard_OStream& Vrml_PointLight::Print | ( | Standard_OStream & | anOStream | ) | const

void Vrml_PointLight::SetColor | ( | const Quantity_Color & | aColor | ) |

void Vrml_PointLight::SetIntensity | ( | const Standard_Real | aIntensity | ) |

void Vrml_PointLight::SetLocation | ( | const gp_Vec & | aLocation | ) |

void Vrml_PointLight::SetOnOff | ( | const Standard_Boolean | aOnOff | ) |

The documentation for this class was generated from the following file:

- Vrml_PointLight.hxx